<template>
  <v-col md="4" cols="12">
    <v-card>
      <v-card-title>
        Profile
      </v-card-title>
      <v-card-text class="info-item">
        <span v-for="info in profile" :key="info.key">
          <b>{{info.key}}:</b> {{info.value}}<br>
        </span>
      </v-card-text>
    </v-card>
  </v-col>
</template>

<script>

function ageFromDateOfBirthday(dateOfBirth) {
  const today = new Date();
  const birthDate = new Date(dateOfBirth);
  let age = today.getFullYear() - birthDate.getFullYear();
  const m = today.getMonth() - birthDate.getMonth();

  if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
    age--;
  }

  return age;
}

export default {
  name: "Profile",
  data: () => ({
    profile: [
      {
        key: "Name",
        value: "Samuel"
      },
      {
        key: "Age",
        value: ageFromDateOfBirthday("2004-02-06")
      },
      {
        key: "Residence",
        value: "Zürich, Switzerland"
      },
      {
        key: "Profession",
        value: "Apprentice at V-Zug"
      },
      {
        key: "Bio",
        value: "I have absolutely no idea what to write here"
      }
    ]
  })
}
</script>

<style lang="scss">
.key {
  font-weight: bold;
}
.info-item {
  text-align: left;
}
</style>